Subject: Re: [PATCH net] igb: extend PTP timestamp adjustments to i211

From: Oleksij Rempel <[email-masked]>
Date: Wed, 28 Feb 2024 13:28:27 +0100

On Wed, Feb 28, 2024 at 10:37:56AM +0100, Jiri Pirko wrote:
> Tue, Feb 27, 2024 at 07:49:41PM CET, [email-masked] wrote:
> >From: Oleksij Rempel <[email-masked]>
> >
> >The i211 requires the same PTP timestamp adjustments as the i210,
> >according to its datasheet. To ensure consistent timestamping across
> >different platforms, this change extends the existing adjustments to
> >include the i211.
> >
> >The adjustment result are tested and comparable for i210 and i211 based
> >systems.
> >
> >Fixes: 3f544d2a4d5c ("igb: adjust PTP timestamps for Tx/Rx latency")
> 
> IIUC, you are just extending the timestamp adjusting to another HW, not
> actually fixing any error, don't you? In that case, I don't see why not
> to rather target net-next and avoid "Fixes" tag. Or do I misunderstand
> this?

>From my perspective, it was an error, since two nearly identical systems
with only one difference (one used i210 other i211) showed different PTP
measurements. So, it would be nice if distributions would include this
fix. On other hand, I'm ok with what ever maintainer would decide how
to handle this patch.

Regards,
Oleksij
-- 
Pengutronix e.K.                           |                             |
Steuerwalder Str. 21                       | http://www.pengutronix.de/  |
31137 Hildesheim, Germany                  | Phone: +49-5121-206917-0    |
Amtsgericht Hildesheim, HRA 2686           | Fax:   +49-5121-206917-5555 |